Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3
Interface UserDataHandler

public interface UserDataHandler

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

When associating an object to a key on a node using `setUserData` the application can provide a handler that gets called when the node the object is associated to is being cloned or imported. This can be used by the application to implement various behaviors regarding the data it associates to the DOM nodes. This interface defines that handler.

See also the Document Object Model (DOM) Level 3 Core Specification.

Field Summary
`static short` | `NODE_CLONED` The node is cloned.
`static short` | `NODE_DELETED` The node is deleted.
`static short` | `NODE_IMPORTED` The node is imported.
`static short` | `NODE_RENAMED` The node is renamed.

Method Summary
`void` | `handle(short operation, java.lang.String key, java.lang.Object data, org.w3c.dom.Node src, org.w3c.dom.Node dst)` This method is called whenever the node for which this handler is registered is imported or cloned.

Field Detail

### NODE_CLONED

    public static final short NODE_CLONED

  The node is cloned.

### NODE_IMPORTED

    public static final short NODE_IMPORTED

  The node is imported.

### NODE_DELETED

    public static final short NODE_DELETED

  The node is deleted.

### NODE_RENAMED

    public static final short NODE_RENAMED

  The node is renamed.

Method Detail

### handle

    public void handle(short operation,
                       java.lang.String key,
                       java.lang.Object data,
                       org.w3c.dom.Node src,
                       org.w3c.dom.Node dst)

  This method is called whenever the node for which this handler is registered is imported or cloned.
  Parameters:
    `operation` - Specifies the type of operation that is being performed on the node.
    `key` - Specifies the key for which this handler is being called.
    `data` - Specifies the data for which this handler is being called.
    `src` - Specifies the node being cloned, imported, or renamed. This is `null` when the node is being deleted.
    `dst` - Specifies the node newly created if any, or `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.